Appearance
project/removeuser
Removes a user from all groups linked to a project.
Method and path
POST /project/removeuser
Authentication
Authentication is required. See Authentication.
Permissions
Accessible to tier 1 and 2 users.
Request headers
| Header | Required | Description |
|---|---|---|
X-Api-Key or X_API_KEY | yes | API key. |
Content-Type | yes | application/json. |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
project_id | integer | yes | Project identifier. |
user_id | integer | yes | User identifier to unlink. |
Example request
bash
curl -X POST "$SIGNAL_API_BASE_URL/project/removeuser" \
-H "X-Api-Key: $SIGNAL_API_KEY" \
-H "Content-Type: application/json" \
-d '{"project_id": 123, "user_id": 987}'json
{
"project_id": 123,
"user_id": 987
}Example response
json
{
"result": true
}Response fields
| Field | Type | Description |
|---|---|---|
result | boolean | true when the delete statement runs successfully. |
Notes
- The endpoint removes the association through project-linked groups.